﻿using UnityEngine;
using System.Collections;

public class HideOnMainCameraDist : MonoBehaviour
{
	public float HideOnDist = 20.0f;

	private Renderer[] foundRenderers;
	private bool isHidden = false;

	void Start()
	{
		foundRenderers = GetComponentsInChildren<Renderer>();
	}
	
	void Update()
	{
		if( Vector3.Distance( transform.position, Camera.main.transform.position ) < HideOnDist )
		{
			if( isHidden )
			{
				SetHidden( false );
			}
		}
		else if( !isHidden )
		{
			SetHidden( true );
		}
	}

	private void SetHidden( bool aIsHidden )
	{
		foreach( Renderer theRenderer in foundRenderers )
		{
			theRenderer.enabled = !aIsHidden;
		}
		isHidden = aIsHidden;
	}
}
