﻿using UnityEngine;
using System.Collections;

public class LoopMover : MonoBehaviour
{
	public Vector3 goalDelta = new Vector3( 0, 20, 0 );
	public float moveSpeed = 0.5f;

	private Vector3 startPos;
	private Vector3 endPos;
	private Vector3 goalPos;
	
	void Start()
	{
		startPos = transform.position;
		endPos = startPos + goalDelta;
	}
	
	void Update()
	{
		if( Vector3.Distance( transform.position, goalPos ) < 1.0f )
		{
			if( goalPos == startPos )
			{
				goalPos = endPos;
			}
			else
			{
				goalPos = startPos;
			}
		}
		else
		{
			transform.position = Vector3.Lerp( transform.position, goalPos, Time.deltaTime * moveSpeed );
		}
	}
}
